package com.xzzn.ems.domain;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 策略对象 ems_strategy
 *
 * @author xzzn
 * @date 2025-07-10
 */
public class EmsStrategy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 策略名称，如“削峰填谷” */
    @Excel(name = "策略名称，如“削峰填谷”")
    private String strategyName;

    /** 策略类型：1 - 主策略；2 - 辅助策略 */
    @Excel(name = "策略类型：1 - 主策略；2 - 辅助策略")
    private Long strategyType;

    /** 策略状态：0-未启用 1-已运行 2-已暂停 3-禁用 4-删除 */
    @Excel(name = "策略状态：0-未启用 1-已运行 2-已暂停 3-禁用 4-删除")
    private String status;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 主策略id */
    @Excel(name = "主策略id")
    private Long mainStrategy;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStrategyName(String strategyName)
    {
        this.strategyName = strategyName;
    }

    public String getStrategyName()
    {
        return strategyName;
    }

    public void setStrategyType(Long strategyType)
    {
        this.strategyType = strategyType;
    }

    public Long getStrategyType()
    {
        return strategyType;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }

    public void setMainStrategy(Long mainStrategy)
    {
        this.mainStrategy = mainStrategy;
    }

    public Long getMainStrategy()
    {
        return mainStrategy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("strategyName", getStrategyName())
                .append("strategyType", getStrategyType())
                .append("status", getStatus())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("description", getDescription())
                .append("mainStrategy", getMainStrategy())
                .toString();
    }
}
